+ Antworten
Seite 1 von 2 1 2 LetzteLetzte
Ergebnis 1 bis 10 von 13

Thema: Upgrade Joomla (1.7 zu 3.2) und Upgrade jyaml (4.0.0. RC2 zu 4.5)

  1. #1
    Neuer Benutzer
    Registriert seit
    12.08.2011
    Beiträge
    9

    Upgrade Joomla (1.7 zu 3.2) und Upgrade jyaml (4.0.0. RC2 zu 4.5)

    Hallo Leute,

    ich habe mir nun schon einen Wolf gesucht und diverses ausprobiert... Folgender Stand:

    - Joomla 1.7.x auf 2.5.17 aktualisiert (gewünscht ist als Endstand 3.2)
    - Ich hatte über den Installer JYAML von 4.0.0. RC2 auf 4.0.4. aktualisiert. Ging auch wunderbar. Das Upgrade des Template (dort wurden bei "Upgrade" beide Versionen (alt und neu) angezeigt) hat aber leider nicht funktioniert.
    - Dann die Idee, manuell was installieren zu können, da ich aber im Netz nichts dazu gefunden habe, habe ich es gelassen.
    - Dann die Idee, mit ne kleineren 4er-Version zu beginnen. Also nochmal den Stand zurück auf 4.0.0. RC2.
    - Jetzt konnte ich aber keinen Download dazu finden. Das bei Github (Download - Tags --> die die entsprechende Version runtergeladen) funktioniert nicht (erste Ebenen des Zips entpackt). Zur Sicherheit habe ich mal die Version 4.0.4. von Github und jyaml.de verglichen, diese unterscheiden sich. Daher also meine Annahme, dass es daran liegt, das irgendwas mit dem Aufbau der Dateien im 4.0.0. Paket nicht passt.

    Irgenwo habe ich den Hinweis gelesen, dass man von 4.0.0. auf 4.0.1. aktualisieren muss, bevor man mit Joomla 2.5.x arbeiten kann. Wenn ich das nun richtig verstehe, muss ich

    - jyaml auf 4.0.0. stable wuppen.
    - jyaml auf 4.0.4. stable aktualisieren.
    - danach joomla auf 3.0
    - dann jyaml auf 4.5
    - Joomla auf 3.2

    Richtig?

    Was kann/soll ich tun? Wo bekomme ich die passenden Dateien her?

    Für sachdienliche Hinweise wäre ich seeeehr dankbar!!

    Please save my tomorrow ;-)

    Viele Grüße!

  2. #2
    Hallo,
    du meinst das Git Repository bei Bitbucket oder? Bei Github habe ich JYAML nicht liegen.
    Die Installierbaren Pakete sind speziell erzeugt mit einem Buildscript. Man kann das von Git zwar 1:1 in Joomla rein kopieren und über Discover im Extension Manager dann nachinstallieren, aber dann hast du keine Versionsnummer!

    Ich keine dein Template jetzt nicht, aber manchmal ist es einfach sinnvoller und weniger Zeit aufwendig von neu anzufangen.

    Ich habe jetzt noch kein 4.0.0 das noch RC ist auf 4.5 aktualisiert. Ist aber zumindest vorgesehen (https://bitbucket.org/hieblmedia/jya...ate/?at=master - die Dateien würden alle durchlaufen)
    Den Zwischenschritt 4.0.4 mit Joomla2.5 kann man überspringen. (wegen s.u. 2.)

    So würde ich vorgehen:
    1. Natürlich Backup des Templates machen.
    2. Vor dem Joomla Upgrade! - Deinstalliere das JYAML Plugin und die JYAML Library (wichtig da sonst Joomla evtl. nicht mehr funktioniert). Template installiert lassen.
    3. Bis auf Joomla 3.2 Updaten (aktuellstes JYAML 4.5.4 setzt das voraus)
    4. Dann das aktuellste JYAML installieren. Hier sollte bereits erkannt werden das ein oder Template vorhanden ist und ein Upgrade Button erscheinen.
    5. Hier weiter lesen und Video mal ansehen (ab Minute 3:20): http://confluence.hieblmedia.com/dis...rom+4.0+to+4.5


    Gruß
    Reinhard
    Geändert von hieblmedia (04.02.2014 um 02:30 Uhr)
    :: JYAML :: HieblMedia :: Twitter ::
    Zufrieden mit meinem Support? Ich lasse mich gerne überraschen - Meine Wunschliste / oder Spende.

  3. #3
    Neuer Benutzer
    Registriert seit
    12.08.2011
    Beiträge
    9
    Hi Reinhard,

    vielen Dank für die schnelle Antwort!! ich weiß noch nicht, ob ich es heute all zu weit bringen werde, werde mich aber dann noch mal melden.

    Viele Grüße

    Silke

  4. #4
    Neuer Benutzer
    Registriert seit
    12.08.2011
    Beiträge
    9
    Hi Reinhard,

    da bin ich wieder. Mit rauchendem Kopf ;-) Theoretisch bekomme ich beim Upgrade auf Joomla 3.2 (nach Deinstallation der anderen Extensions) keine Fehlermeldung mehr. Nun kommt aber das berühmte "aber": Wenn ich nun die aktuelle Version von JYAML einspiele erhalte ich folgenden Screen und kann das Template nicht upgraden...

    Upgrade-JYAML.jpg
    --> Das ist der komplette Inhalt des Screens, Joomla drumrum ist weg. Lässt sich auch nichts anklicken.

    Habe mal ganz neugierig Joomla 3.2 komplett neu installiert und einfach das alte Template in den template-Ordner gezogen und JYAML ebenfalls komplett neu installiert. Wenn ich nun das alte Template aufrufen, bekomme ich den gleichen Screen. Any idea, was ich noch machen kann?

    Hoffnungsvolle Grüße ;-)

    Silke

  5. #5
    Hallo,
    schick mir mal FTP und SuperAdmin Zugang per Email oder PN.
    Dann guck ich mal kurz drüber ;)
    :: JYAML :: HieblMedia :: Twitter ::
    Zufrieden mit meinem Support? Ich lasse mich gerne überraschen - Meine Wunschliste / oder Spende.

  6. #6
    Neuer Benutzer
    Registriert seit
    03.07.2015
    Beiträge
    5
    Hallo,
    meine Seite läuft mit joomla 2.5.28 und Jyaml 4.0.4 .
    Alle Versuche auf Joomla 3 upzudaten sind bisher gescheitert.
    Als Aktualisierung wird mir joomla 3.4.3 auf der Admin-Seite angeboten.
    Kann ich das überhaupt verwenden - dafür scheint es keine Jyaml-Version zu geben?
    Wie muß ich genau vorgehen, um ein Update auf joomla 3.(?) zu realisieren,
    so daß meine Seiten mit dem Jyaml-Template weiter funktionieren.
    Wäre schön, wenn ich hier Hilfe bekommen könnte, da ich schon zeimlich entnervt bin.
    Es handelt sich um die Internetseite eines Hospizdienstes, die ich ehrenamtlich (versuche) zu administrieren.

  7. #7
    Hallo,
    die aktuellste JYAML Version funktioniert auch mit Joomla 3.4.

    Da du 4.0.4 installiert hast ist es eigentlich recht unkompliziert.

    1. JYAML System Plugin deinstallieren
    2. Joomla aktualisieren auf 3.x
    3. Aktuelles JYAML Installieren.
    4. Auf den Update Button klicken und der migration folgen.

    Mehr details hier: http://confluence.hieblmedia.com/dis...rom+4.0+to+4.5

    Alles kann nicht immer automatisch aktualisiert werden. Da auch voll automatisch von YAML3 zu YAML4 konvertiert wird kann es hier und da auch mal falsche Ersetzungen geben.
    :: JYAML :: HieblMedia :: Twitter ::
    Zufrieden mit meinem Support? Ich lasse mich gerne überraschen - Meine Wunschliste / oder Spende.

  8. #8
    Neuer Benutzer
    Registriert seit
    03.07.2015
    Beiträge
    5
    Danke für die schnelle Antwort.
    Meine Test-Seite hab ich jetzt wieder hergestellt und werde das so probiern.
    Muss ich nicht ein anderes Template (und nicht das jyaml) als Standard markieren und welches am besten?
    Muss ich alle 3rd Party Erweiterungen deinstalliren oder reicht deaktivieren?

  9. #9
    Muss ich nicht ein anderes Template (und nicht das jyaml) als Standard markieren und welches am besten?
    Nein, das kannst du alles lassen.

    Muss ich alle 3rd Party Erweiterungen deinstalliren oder reicht deaktivieren?
    Das kann ich dir hier nicht beantworten, da dies individuell geprüft werden muss.
    In der Regel einfach schauen dass alles so aktuell wie möglich ist. Und nach den Update ggf auf die Joolma3 Versionen der Erweiterungen aktualisieren.
    :: JYAML :: HieblMedia :: Twitter ::
    Zufrieden mit meinem Support? Ich lasse mich gerne überraschen - Meine Wunschliste / oder Spende.

  10. #10
    Neuer Benutzer
    Registriert seit
    03.07.2015
    Beiträge
    5
    vielen Dank - das wars - alles ist nach Deiner Beschreibung gut gelaufen!

    schade das ich Deine Seite erst nach 10 Tagen Update- und Wiederherstellungsstress gefunden habe.

+ Antworten
Seite 1 von 2 1 2 LetzteLetzte

Stichworte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein